=== debian/changelog ===
openxcom (1.0git-maemo1) unstable; urgency=low

  * Initial release from git

 -- Siim Salonen <siim.salonen@gmail.com>  Fri, 10 Oct 2014 15:22:55 +0300
