=== debian/control ===
Source: openxcom
Section: user/games
Priority: extra
Maintainer: Siim Salonen <siim.salonen@gmail.com>
Build-Depends: debhelper (>= 5), quilt, libsdl1.2-dev, libsdl-mixer1.2.8-dev, libsdl-gfx1.2-dev (>= 2.0.22), libsdl-image1.2-dev, libyaml-cpp0-dev (>= 0.5.1), libboost-dev | libboost1.38-dev | libboost1.42-dev | libboost1.53-dev
Standards-Version: 3.7.2
Homepage: http://openxcom.org/

Package: openxcom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wget, unzip, zenity
Description: Open-source clone of UFO: Enemy Unknown
 OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
 turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.
 OpenXcom requires game resources from the original game (DOS, Windows or Steam version).
XB-Maemo-Display-Name: OpenXcom
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAOI0lEQVRogbWZ
 aYxd5XnHf+85d5+5s6+e8XiZesVjCraLKYsLiakCjYAmJbQNUPohqpqgEgSE
 SLTJh6aK1LRRlChqpLZyEYmtRlXKEkIdMGBjFoOxjcfG+8x4zMydO/feufvZ
 37cfzrkz9hjPYsgjPbp37pzznuf/Ptv/fY7gsxMNEMGnFvwmPuE6Faic9XlV
 8kkPWKxof/nkY7fpeugeoWm/LzRxM0qhFKjALqUUSilcKQu2bR83qtX9mXT6
 xfd+9cIhwAnUuxognwaAeODpx28Li+h/IlgmpUe0vZVIUwOEQkglUWrGHgXY
 pTKVTI7qZBbH86iUywdGh4f/fmjvW+8DBmCzSI9cFYC/evTRJi2Z+JHQxINK
 1+i4fiN1S7uRoRCOknhKIZVC4Xtitni2ReqDo4y+f4RKsUhuIv394dff/AlQ
 BEx8jyxI9KuwX1y//fafCU082LhqJUtu3Yre2oSJwvQ8TOlhBWpLD0fJy9TT
 NOI9XTSuXkF29GOsUvnmSGNTqTw2fgpw8cNJ/k4APPDtJ/80FNL/Kd7dQeeN
 mzFRVD0Xw3OxpIcjfQ+4SiIDT8xWL1CiEZpW9pE6MoiU3hZpmW/ZpcoUfigt
 KCe0+S6YfX1YD31H6RpdN27G8FyqnoPhuf5uS4kbGFcrNXOqlOjhMP3btyE8
 WRfv6LwPaAHqgNCCDFosAKk8EWtvxQvpmJ6L5XnTcX+1tbChtwcRDqEJeoFm
 fABhFpCjiwaApg1o8dh0PNdC5aoLOQKhCaLJerRwZD1QD8TxPTCvfYsC8KVv
 fmMjShFtbsKVCk9JpPoUXQhA+Juc7OlGC+mtQCzQz9wDIqxHrpNKkehqR1Iz
 /lOZX1uaRGsLKEVDT/e1QIQFemBBiVJ7iqaL5VJKjv7yeaxomGK1ilYfp/Pa
 a2ha3rcok1OHB5n86BROpYpn2UydHUYBnkK/CMC8HlgMAJTrajIcxjFM8qkJ
 ipUyjuuSOjRI4/KlbLj/HkKx2JxrlFNpBnf9Citf9CmGlEjHZSYQlRbYpTPD
 r67o5kWFkASUVHhS4knp852g1RaGRzm8Yxeuac5p/OEdu7DyxVn/CRJJKUAK
 ZkjhZ1uFlJJCKhk8qKYzUklNcuGdg1e8/8zLe/BMa/ai02TvIlkwxVkUACl9
 gtZx7frZD5yWKwEop9IUhken/1a++1BKoYXDtKxacfF+LLgyLAqAYVojUima
 Vi5jw5/fS8ua/suuiTU1LHg9LRqhbf1q1v/ZFwnF4ygUTsXIcGnDnlMWk8Sq
 Wi6fj8Ri2MUyjauWs6Gni7VX8MRsqe/qYNt3n/AXUgrlebimiVUsY+YLWIUi
 KIVdKE3i86DPngu99uyuNyzbvjC8753LY3mBMl15XBfPcnANk8LIKLnTQ5jF
 4l58Imfjs9J5zwaLAaAAL/3x6Dc90yL1wYcIxOIPFAEAz3ZwDAPHMBl7/whS
 STM/NPoCUA3UYgGUerEAnPef+81rlmG+lzo0iFMsLQpCbfc9y8apGjhVg8L5
 Ucrjaax8fq+0rCxQAEq/CwAEC5qp8yPfUZbN2ZdeRRMLq3kXh45rWjiGgVUo
 MvLG20jHnSqcH9sN5IGpAEDteDmnLPZAowCVHRnNdq1e2S0N+1rP80j29c6f
 bReFjmuauFWD4df3UxmfoDw2sdPK548BKWAiAGKzgCS+miOlAvj4+Mm3V2zc
 sK1wYbxbr0+Q6Gy/vDcEtb5W75ES6XlIxyV16EMmDh+jmpvaXRge2Q2kAwAZ
 /BzwFmLM1QCogVBGobSvY9nSz018dKpFq0uQaG1GehI1rZ7/KQNgQiCEIH3s
 JMN73sQulQ5OHv1oV2D0eACiiL/7C5KrBQAgqoWCW87k9iW7OreNHzvRbJVK
 JFqbUJ7Es+1AHZSUCE0gHYczL+/hwv4D2JXK8bF3P9iBHy7pQAv4U4kFHehh
 cWOVGskSX33qiXtCuv4PtuduzBUKpDKTFItFpO0gwiGalvfSuub3ANA0HT0a
 oZrJkjp8DM+6dHM1TUNIuc/O5n4w9M77bwMVLh10zZkHCwEgHnjq8dtcx9Fd
 x9EjicStkXDk2+HGeqLdnRTNKuOTk5zZs4/qZPaAHgr1inBoiX+nQGgaWiiE
 Hg7h2s7ZaH1dvx6L0rt1E5oQCMfDOH+BkO1RTGce0UOkpMCayhfOnnl131AA
 pNbULpP5qIR4+OmndiC0BzU9hB6JIJWC+jjL7vo8lucR8Rz0Uokze/bhuXYu
 dejDZyKNybposq4FTQM0oQmEXa5kjOxUdt3dd/57XWszfVs3o8ei6ELgFcsM
 /sdO6ttafqwJge04xIUoLt1203dH39j/LH5Sm3xCYs8J4L7HHn3Y8bwHWwdW
 E+1oxZX+AT6crKPsOtjSw/Q8PtixE6FplEbH3gVKdqF03i6Uqvjuv9jLIqJp
 R2W+NDD029fp/+IfYzsuoj7B8vvvBttGAI70qL6ytyFcLP9rw9Lu48XR8UH8
 XDFme2KuRqYZVvXvqkjiG9ZgtzVhtjVitzdRjUUoOjZV18VVEte0EJpG1+br
 HmlZu2YAv5KkgVFgONCRG+69e3NzY0tbLBIl2tjgN7NSCTOXR49F0BuTiGQd
 eixG13UDuKZFvL3tq0Ar/qTisqIzlwfEZKFYlFNTGHv3UZ3KY2RyVDI5InUJ
 1t57J4nWFoSmsflvHuL0b14lfeR4S+ea/seXrlu9PXf69JOjgydOAOb2h+7f
 2tDc/j2E2OBGdFpv3gLtLVQzOZxKlUo6w9jBw3iWTX1XB9L1qExm8BwHYzIz
 hD9qiQFl/HyYTuy5klhfuu2mP4wk4jul6/VI20Z6HgplCF0nmkzGV9x+E0tv
 ugFN9zemkkoz8spe3HSW+kQdwrF/nmxs6kjE49sJh2jftJFofx9TtkV5MoOR
 zTP61gFSh46iHHdKC4eaFYD0G195YvLnxZHzvwZGAs3ic6QFAdCAurYNa7dF
 4okvOaZZbxVLqeLI6IeRxsbmjg1r/zqarF/T1L+cVV/4HPVdHT5qIcgePUH6
 wAfolkM8GqNv6ybaB9Zi6zoFx6Y8NUXmo9OceflVqpkcZm5qd+70uV9r0aho
 6uvdKnSRUJ6s5k6fewm/yV3Ab3QFZk2u5wIg8McbjUAb/swyHvzuAdqSP9h0
 X0NX+18IoSXaN65j9d1fCJALlG1hTeZINjeRaGxEAabnkk1NcPqlV5g4PIhT
 Ncamhs//wspNncJP0jJ+F671HDv4PYNP8i5rcvP1AQ2I4s8qEwGg2mshHahb
 cs26La0rl32NSGRLcmUf679yD0ophPCJti40dCH846KUvPG9H2IVimZ5LPXb
 7InTr15kYCbYYYuZqYSLX3nKXE0ZDQy1ghurzFQtFXyP26XKoYaGRtNRirqW
 ZqTrIV0/z4SmIUMhXE2bHu7EmxvxDDMWa0h2heNx6RhGFj88JvFpdC1Eare4
 zLwzuEwWwoVqO17T2nlVfvnrX7+z//qNvwyFQ6s7Nm+k85YbsCtVnKo/bUsd
 HqQ0nqa+s216BtoxsI7ix+N4ttPT0LtkSzgRO1FJZ07gl16DGRpxybOuZNyC
 qMRXnnj0ulAofK90HN0yrcGRw0ffXH/r1p9qInRXtLud1huvpySgWCphTuXJ
 nTnH6P4DGLkCWkinaUUfK26/heb+5dMVKz98njMv7EY3HUKeu2vo4Iffv27b
 to2RRGR9qWpQKBULh/7nuZ8yz0vA+QCIh57+1g4htAf9iZyHlP5miHCYnpu3
 EO1dQt6xKJZKTJ0b5uzu18kPnQelcE3jmBaOxqIN9f1aKEz3pgFW3fn56fGj
 sizG9r9H4ehJ6uJx4tEoCkW5WiVXKJCdmPjWhX3vPIsfWgZ+KF0ic4bQlx97
 5Eco8bWOTQM0rl+FSNbh6BqioY5ld/wRormRomuTy2Q4+dzLnHrh/zCzU7im
 PVa4cOGZ/JnhF8tj43uUlMfjjU3rqtlcYuzgEaTr0rS8DxEK0bCij3h3B4XJ
 SeJ9S6hfvZK6a1ZRrVQxJnPbI8nkWGUiPXQlL8wFQOsZ2PCUFwkv67r9Jpx4
 FNHaTGxZD/FlvdgCDM+lYhi8+8N/I3dmCM+0p8rpzPO5k6efdcrVs/iJmbYK
 xVP5oeH/behqj4SjkZWFkQvham6Klv7luIaJiEZoXLWCeE8nIlmHUhCKRRk/
 eATXNrOV1ORh/CpUe3c2LXNSifFUeqeey96aeWYn8dZmkAo0QbK7k7a1q/Bs
 B7tUBiFQnkdueHiHlcufwi+Jk/ids9b+I8P73vnngbvv2uIK1a88D6dq4lSr
 mIUCk8dO4VkWSimk65EfGsFzHArDo+8yU8J1Zk2r5wKgBp9/8RfLb7tla6lY
 fEi6rl/fEaAJtvztwwhdxzVM+u/YxpH/+m8Sba1rrVz+AP7ZdpxLGWSobeXK
 kB6J9Ec7W+m/4zbMQhGnXCF78hwjr+8Pnhq8NFFQ+jj1MytfnGBmwLWoJBb4
 BKoV6AY6gIZoU3JJ58YNPwjX19OyagXScbEKBXKnhyiMXviXynj6NXz2meLS
 uq4BsdV/cscrnie3dl8/gF2pYpfKZE6exa0YU6lDR/4RP1Ss4D4DyAWbMXu9
 eQGA76EEPp1oCr5H6nt6rkn2dH1DD+nXKOkf2u1y5d3M8RM/wafQI/ghVDsT
 1CTS0Nvb17qm/0UpvTWe7eA5juEaxpnsqXM7pGVlmKEUVgCmzMys6LJh17xl
 FD/uooGGA40HgFqAJH58esHDa7tVm+1cLDo+LenA92pbsJbC3+08/o7XJhNO
 8GlxhUHXfFSi1sprlKIGKIK/MwV8rh4OrqkERlT4hJp90TpTwdolZviVFfxd
 q/kOl7KATzzc/z9UA8L+EboPVAAAAABJRU5ErkJggg==
