## openxcom 1.0git-maemo2

=== debian/changelog ===
openxcom (1.0git-maemo2) unstable; urgency=low

  * remove libsdl-mixer1.2.8 dependency

 -- Siim Salonen <siim.salonen@gmail.com>  Thu, 23 Oct 2014 12:59:31 +0300
