## openxcom 1.0git-maemo3

=== debian/changelog ===
openxcom (1.0git-maemo3) unstable; urgency=low

  * sound enabled

 -- Siim Salonen <siim.salonen@gmail.com>  Fri, 24 Oct 2014 15:17:52 +0300
