=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 
 Package: openxcom
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, wget, unzip, zenity
+Depends: libsdl-gfx1.2-4, libsdl-image1.2, libsdl-mixer1.2, libsdl1.2, libyaml-cpp0, wget, unzip, zenity
 Description: Open-source clone of UFO: Enemy Unknown
  OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
  turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.
  OpenXcom requires game resources from the original game (DOS, Windows or Steam version).
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=76463
 XB-Maemo-Display-Name: OpenXcom
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAOI0lEQVRogbWZ
