## openxcom 1.0git-maemo4

=== debian/changelog ===
openxcom (1.0git-maemo4) unstable; urgency=low

  * incorrect location when centering on enemy - fixed
  * arm target built with openGL (glshim)

 -- Siim Salonen <siim.salonen@gmail.com>  Mon, 27 Oct 2014 15:07:11 +0200
