=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,6 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	#	$(MAKE) prefix=$(CURDIR)/debian/openxcom/usr install
-	# todo: enable dh_makeshlibs in libsdl-mixer1.2.8 
 
 	dh_install -s
