## openxcom 1.0r558-maemo5

=== debian/changelog ===
openxcom (1.0r558-maemo5) unstable; urgency=low

  * 'blue arrow' can also used for right click

 -- Siim Salonen <siim.salonen@gmail.com>  Tue,  4 Nov 2014 11:49:17 +0200
