=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: extra
 Maintainer: Siim Salonen <siim.salonen@gmail.com>
-Build-Depends: debhelper (>= 5), quilt, libsdl1.2-dev, libsdl-mixer1.2.8-dev, libsdl-gfx1.2-dev (>= 2.0.22), libsdl-image1.2-dev, libyaml-cpp0-dev (>= 0.5.1), libboost-dev | libboost1.38-dev | libboost1.42-dev | libboost1.53-dev
+Build-Depends: debhelper (>= 5), quilt, libsdl1.2-dev, libsdl-mixer1.2.8-dev, libsdl-gfx1.2-dev (>= 2.0.22), libsdl-image1.2-dev, libyaml-cpp0-dev (>= 0.5.1), libboost-dev | libboost1.38-dev | libboost1.42-dev | libboost1.53-dev, libglshim-dev [armel]
 Standards-Version: 3.7.2
 Homepage: http://openxcom.org/
 
 Package: openxcom
 Architecture: any
-Depends: libsdl-gfx1.2-4, libsdl-image1.2, libsdl-mixer1.2, libsdl1.2, libyaml-cpp0, wget, unzip, zenity
+Depends: libsdl-gfx1.2-4, libsdl-image1.2, libsdl-mixer1.2, libsdl1.2, libyaml-cpp0, wget, unzip, zenity, libglshim [armel]
 Description: Open-source clone of UFO: Enemy Unknown
  OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
  turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.
