=== src/CMakeLists.txt ===
set ( root_src
  main.cpp
  lodepng.cpp
  lodepng.h
  dirent.h
  fmath.h
  version.h
)

set ( basescape_src
  Basescape/BaseView.cpp
  Basescape/BaseView.h
  Basescape/CraftSoldiersState.cpp
  Basescape/CraftSoldiersState.h
  Basescape/TransfersState.cpp
  Basescape/TransfersState.h
  Basescape/StoresState.cpp
  Basescape/StoresState.h
  Basescape/SackSoldierState.h
  Basescape/SackSoldierState.cpp
  Basescape/SellState.h
  Basescape/SellState.cpp
  Basescape/CraftInfoState.cpp
  Basescape/CraftInfoState.h
  Basescape/PlaceLiftState.h
  Basescape/PlaceLiftState.cpp
  Basescape/DismantleFacilityState.h
  Basescape/DismantleFacilityState.cpp
  Basescape/SoldierInfoState.h
  Basescape/SoldierInfoState.cpp
  Basescape/CraftsState.cpp
  Basescape/CraftsState.h
  Basescape/PlaceFacilityState.h
  Basescape/PlaceFacilityState.cpp
  Basescape/TransferItemsState.cpp
  Basescape/TransferItemsState.h
  Basescape/CraftArmorState.h
  Basescape/CraftArmorState.cpp
  Basescape/MonthlyCostsState.cpp
  Basescape/MonthlyCostsState.h
  Basescape/CraftEquipmentState.cpp
  Basescape/CraftEquipmentState.h
  Basescape/BaseInfoState.h
  Basescape/BaseInfoState.cpp
  Basescape/ResearchState.h
  Basescape/ResearchState.cpp
  Basescape/PurchaseState.cpp
  Basescape/PurchaseState.h
  Basescape/TransferBaseState.cpp
  Basescape/TransferBaseState.h
  Basescape/CraftWeaponsState.h
  Basescape/CraftWeaponsState.cpp
  Basescape/ManufactureState.h
  Basescape/ManufactureState.cpp
  Basescape/BuildFacilitiesState.h
  Basescape/BuildFacilitiesState.cpp
  Basescape/MiniBaseView.cpp
  Basescape/MiniBaseView.h
  Basescape/BasescapeState.cpp
  Basescape/BasescapeState.h
  Basescape/TransferConfirmState.cpp
  Basescape/TransferConfirmState.h
  Basescape/SoldierArmorState.h
  Basescape/SoldierArmorState.cpp
  Basescape/SoldiersState.cpp
  Basescape/SoldiersState.h
  Basescape/NewResearchListState.h
  Basescape/NewResearchListState.cpp
  Basescape/ResearchInfoState.h
  Basescape/ResearchInfoState.cpp
  Basescape/NewManufactureListState.h
  Basescape/NewManufactureListState.cpp
  Basescape/ManufactureStartState.h
  Basescape/ManufactureStartState.cpp
  Basescape/ManufactureInfoState.h
  Basescape/ManufactureInfoState.cpp
  Basescape/PlaceStartFacilityState.h
  Basescape/PlaceStartFacilityState.cpp
  Basescape/SelectStartFacilityState.h
  Basescape/SelectStartFacilityState.cpp
  Basescape/SoldierMemorialState.cpp
  Basescape/SoldierMemorialState.h
  Basescape/ManageAlienContainmentState.h
  Basescape/ManageAlienContainmentState.cpp
)

set ( battlescape_src
  Battlescape/ActionMenuState.cpp
  Battlescape/ActionMenuState.h
  Battlescape/PathfindingNode.cpp
  Battlescape/PathfindingNode.h
  Battlescape/Position.h
  Battlescape/Position.cpp
  Battlescape/Map.h
  Battlescape/Map.cpp
  Battlescape/Pathfinding.h
  Battlescape/Pathfinding.cpp
  Battlescape/ExplosionBState.h
  Battlescape/ExplosionBState.cpp
  Battlescape/UnitTurnBState.cpp
  Battlescape/UnitTurnBState.h
  Battlescape/ActionMenuItem.h
  Battlescape/ActionMenuItem.cpp
  Battlescape/BriefingState.h
  Battlescape/BriefingState.cpp
  Battlescape/ProjectileFlyBState.cpp
  Battlescape/ProjectileFlyBState.h
  Battlescape/PrimeGrenadeState.cpp
  Battlescape/PrimeGrenadeState.h
  Battlescape/UnitInfoState.h
  Battlescape/UnitInfoState.cpp
  Battlescape/BattlescapeState.cpp
  Battlescape/BattlescapeState.h
  Battlescape/BattlescapeGenerator.h
  Battlescape/BattlescapeGenerator.cpp
  Battlescape/Camera.h
  Battlescape/Camera.cpp
  Battlescape/Projectile.cpp
  Battlescape/Projectile.h
  Battlescape/Particle.cpp
  Battlescape/Particle.h
  Battlescape/UnitDieBState.h
  Battlescape/UnitDieBState.cpp
  Battlescape/Explosion.cpp
  Battlescape/Explosion.h
  Battlescape/InventoryState.cpp
  Battlescape/InventoryState.h
  Battlescape/UnitSprite.h
  Battlescape/UnitSprite.cpp
  Battlescape/BattleState.h
  Battlescape/BattleState.cpp
  Battlescape/UnitFallBState.h
  Battlescape/UnitFallBState.cpp
  Battlescape/UnitWalkBState.h
  Battlescape/UnitWalkBState.cpp
  Battlescape/UnitPanicBState.h
  Battlescape/UnitPanicBState.cpp
  Battlescape/NextTurnState.cpp
  Battlescape/NextTurnState.h
  Battlescape/NoContainmentState.cpp
  Battlescape/NoContainmentState.h
  Battlescape/AlienBAIState.cpp
  Battlescape/AlienBAIState.h
  Battlescape/BattleAIState.cpp
  Battlescape/BattleAIState.h
  Battlescape/BattlescapeMessage.cpp
  Battlescape/BattlescapeMessage.h
  Battlescape/Inventory.cpp
  Battlescape/Inventory.h
  Battlescape/CivilianBAIState.cpp
  Battlescape/CivilianBAIState.h
  Battlescape/WarningMessage.cpp
  Battlescape/WarningMessage.h
  Battlescape/AbortMissionState.cpp
  Battlescape/AbortMissionState.h
  Battlescape/DebriefingState.cpp
  Battlescape/DebriefingState.h
  Battlescape/InfoboxState.cpp
  Battlescape/InfoboxState.h
  Battlescape/InfoboxOKState.cpp
  Battlescape/InfoboxOKState.h
  Battlescape/TileEngine.cpp
  Battlescape/TileEngine.h
  Battlescape/MiniMapView.h
  Battlescape/MiniMapView.cpp
  Battlescape/MiniMapState.h
  Battlescape/MiniMapState.cpp
  Battlescape/MedikitState.cpp
  Battlescape/MedikitState.h
  Battlescape/MedikitView.cpp
  Battlescape/MedikitView.h
  Battlescape/ScannerState.cpp
  Battlescape/ScannerState.h
  Battlescape/ScannerView.cpp
  Battlescape/ScannerView.h
  Battlescape/PromotionsState.cpp
  Battlescape/PromotionsState.h
  Battlescape/BattlescapeGame.cpp
  Battlescape/BattlescapeGame.h
  Battlescape/CannotReequipState.cpp
  Battlescape/CannotReequipState.h
  Battlescape/PathfindingOpenSet.cpp
  Battlescape/PathfindingOpenSet.h
  Battlescape/AliensCrashState.cpp
  Battlescape/AliensCrashState.h
)

set ( engine_src
  Engine/State.h
  Engine/State.cpp
  Engine/CatFile.cpp
  Engine/CatFile.h
  Engine/RNG.h
  Engine/RNG.cpp
  Engine/Exception.h
  Engine/Exception.cpp
  Engine/Music.h
  Engine/Music.cpp
  Engine/Timer.cpp
  Engine/Timer.h
  Engine/Language.cpp
  Engine/Language.h
  Engine/LanguagePlurality.cpp
  Engine/LanguagePlurality.h
  Engine/Game.cpp
  Engine/Game.h
  Engine/Action.cpp
  Engine/Action.h
  Engine/Palette.cpp
  Engine/Palette.h
  Engine/SoundSet.cpp
  Engine/SoundSet.h
  Engine/GMCat.h
  Engine/GMCat.cpp
  Engine/InteractiveSurface.cpp
  Engine/InteractiveSurface.h
  Engine/Surface.cpp
  Engine/Surface.h
  Engine/Font.cpp
  Engine/Font.h
  Engine/DosFont.h
  Engine/OpenGL.cpp
  Engine/OpenGL.h
  Engine/Options.cpp
  Engine/Options.h
  Engine/OptionInfo.cpp
  Engine/OptionInfo.h
  Engine/CrossPlatform.cpp
  Engine/CrossPlatform.h
  Engine/Sound.h
  Engine/Sound.cpp
  Engine/SurfaceSet.cpp
  Engine/SurfaceSet.h
  Engine/Screen.cpp
  Engine/Screen.h
  Engine/Logger.h
  Engine/LocalizedText.cpp
  Engine/LocalizedText.h
  Engine/FastLineClip.cpp
  Engine/FastLineClip.h
  Engine/Flc.cpp
  Engine/Flc.h
  Engine/Zoom.cpp
  Engine/Zoom.h
  Engine/ShaderDraw.h
  Engine/ShaderDrawHelper.h
  Engine/ShaderMove.h
  Engine/ShaderRepeat.h
  Engine/Scalers/scale2x.cpp
  Engine/Scalers/scale2x.h
  Engine/Scalers/scale3x.cpp
  Engine/Scalers/scale3x.h
  Engine/Scalers/scalebit.cpp
  Engine/Scalers/scalebit.h
  Engine/Scalers/common.h
  Engine/Scalers/hqx.h
  Engine/Scalers/hq2x.cpp
  Engine/Scalers/hq3x.cpp
  Engine/Scalers/hq4x.cpp
  Engine/Scalers/init.cpp
  Engine/Scalers/config.h
  Engine/Scalers/xbrz.h  
  Engine/Scalers/xbrz.cpp
  Engine/Adlib/adlplayer.cpp
  Engine/Adlib/adlplayer.h
  Engine/Adlib/fmopl.cpp
  Engine/Adlib/fmopl.h
  Engine/AdlibMusic.h
  Engine/AdlibMusic.cpp
)

set ( geoscape_src
  Geoscape/GeoscapeCraftState.cpp
  Geoscape/GeoscapeCraftState.h
  Geoscape/UfoDetectedState.h
  Geoscape/UfoDetectedState.cpp
  Geoscape/InterceptState.h
  Geoscape/InterceptState.cpp
  Geoscape/ConfirmNewBaseState.h
  Geoscape/ConfirmNewBaseState.cpp
  Geoscape/ConfirmDestinationState.h
  Geoscape/ConfirmDestinationState.cpp
  Geoscape/Globe.cpp
  Geoscape/Globe.h
  Geoscape/SelectDestinationState.cpp
  Geoscape/SelectDestinationState.h
  Geoscape/FundingState.h
  Geoscape/FundingState.cpp
  Geoscape/BuildNewBaseState.h
  Geoscape/BuildNewBaseState.cpp
  Geoscape/MonthlyReportState.cpp
  Geoscape/MonthlyReportState.h
  Geoscape/CraftErrorState.cpp
  Geoscape/CraftErrorState.h
  Geoscape/ProductionCompleteState.h
  Geoscape/ProductionCompleteState.cpp
  Geoscape/TargetInfoState.h
  Geoscape/TargetInfoState.cpp
  Geoscape/LowFuelState.h
  Geoscape/LowFuelState.cpp
  Geoscape/CraftPatrolState.cpp
  Geoscape/CraftPatrolState.h
  Geoscape/UfoLostState.cpp
  Geoscape/UfoLostState.h
  Geoscape/GraphsState.cpp
  Geoscape/GraphsState.h
  Geoscape/ConfirmCydoniaState.cpp
  Geoscape/ConfirmCydoniaState.h
  Geoscape/ConfirmLandingState.cpp
  Geoscape/ConfirmLandingState.h
  Geoscape/BaseNameState.cpp
  Geoscape/BaseNameState.h
  Geoscape/BaseDestroyedState.cpp
  Geoscape/BaseDestroyedState.h
  Geoscape/BaseDefenseState.cpp
  Geoscape/BaseDefenseState.h
  Geoscape/MultipleTargetsState.cpp
  Geoscape/MultipleTargetsState.h
  Geoscape/ItemsArrivingState.cpp
  Geoscape/ItemsArrivingState.h
  Geoscape/DogfightState.cpp
  Geoscape/DogfightState.h
  Geoscape/GeoscapeState.cpp
  Geoscape/GeoscapeState.h
  Geoscape/ResearchCompleteState.h
  Geoscape/ResearchCompleteState.cpp
  Geoscape/NewPossibleResearchState.h
  Geoscape/NewPossibleResearchState.cpp
  Geoscape/AllocatePsiTrainingState.h
  Geoscape/AllocatePsiTrainingState.cpp
  Geoscape/PsiTrainingState.h
  Geoscape/PsiTrainingState.cpp
  Geoscape/AlienBaseState.h
  Geoscape/AlienBaseState.cpp
  Geoscape/AlienTerrorState.h
  Geoscape/AlienTerrorState.cpp
  Geoscape/NewPossibleManufactureState.h
  Geoscape/NewPossibleManufactureState.cpp
  Geoscape/VictoryState.h
  Geoscape/VictoryState.cpp
  Geoscape/DefeatState.h
  Geoscape/DefeatState.cpp
  Geoscape/ResearchRequiredState.h
  Geoscape/ResearchRequiredState.cpp
)

set ( interface_src
  Interface/Window.cpp
  Interface/Window.h
  Interface/NumberText.cpp
  Interface/NumberText.h
  Interface/ArrowButton.cpp
  Interface/ArrowButton.h
  Interface/BattlescapeButton.cpp
  Interface/BattlescapeButton.h
  Interface/TextButton.cpp
  Interface/TextButton.h
  Interface/ToggleTextButton.cpp
  Interface/ToggleTextButton.h
  Interface/Text.h
  Interface/Text.cpp
  Interface/Bar.h
  Interface/Bar.cpp
  Interface/FpsCounter.h
  Interface/FpsCounter.cpp
  Interface/ImageButton.h
  Interface/ImageButton.cpp
  Interface/TextEdit.cpp
  Interface/TextEdit.h
  Interface/TextList.h
  Interface/TextList.cpp
  Interface/Cursor.h
  Interface/Cursor.cpp
  Interface/Frame.h
  Interface/Frame.cpp
  Interface/Slider.h
  Interface/Slider.cpp
  Interface/ComboBox.h
  Interface/ComboBox.cpp
  Interface/ScrollBar.h
  Interface/ScrollBar.cpp
)

set ( menu_src
  Menu/StartState.cpp
  Menu/StartState.h
  Menu/IntroState.cpp
  Menu/IntroState.h
  Menu/MainMenuState.cpp
  Menu/MainMenuState.h
  Menu/TestState.h
  Menu/TestState.cpp
  Menu/ListSaveState.cpp
  Menu/ListSaveState.h
  Menu/ListLoadState.cpp
  Menu/ListLoadState.h
  Menu/ConfirmLoadState.cpp
  Menu/ConfirmLoadState.h
  Menu/NewGameState.cpp
  Menu/NewGameState.h
  Menu/NewBattleState.cpp
  Menu/NewBattleState.h
  Menu/ErrorMessageState.cpp
  Menu/ErrorMessageState.h
  Menu/DeleteGameState.cpp
  Menu/DeleteGameState.h
  Menu/ListGamesState.cpp
  Menu/ListGamesState.h
  Menu/OptionsBaseState.cpp
  Menu/OptionsBaseState.h
  Menu/OptionsControlsState.cpp
  Menu/OptionsControlsState.h
  Menu/OptionsAdvancedState.cpp
  Menu/OptionsAdvancedState.h
  Menu/OptionsBattlescapeState.cpp
  Menu/OptionsBattlescapeState.h
  Menu/OptionsVideoState.cpp
  Menu/OptionsVideoState.h
  Menu/OptionsAudioState.cpp
  Menu/OptionsAudioState.h
  Menu/OptionsNoAudioState.cpp
  Menu/OptionsNoAudioState.h
  Menu/OptionsGeoscapeState.cpp
  Menu/OptionsGeoscapeState.h
  Menu/OptionsModsState.cpp
  Menu/OptionsModsState.h
  Menu/OptionsConfirmState.cpp
  Menu/OptionsConfirmState.h
  Menu/OptionsDefaultsState.cpp
  Menu/OptionsDefaultsState.h
  Menu/AbandonGameState.cpp
  Menu/AbandonGameState.h
  Menu/PauseState.cpp
  Menu/PauseState.h
  Menu/LoadGameState.cpp
