=== debian/changelog ===
openxcom (1.0r558-maemo6) unstable; urgency=low

  * configurable 'disable mouse' and 'right click' modifiers
  * postinst script fixed

 -- Siim Salonen <siim.salonen@gmail.com>  Thu,  6 Nov 2014 15:20:03 +0200
