## openxcom 1.0r558-maemo7

=== debian/changelog ===
openxcom (1.0r558-maemo7) unstable; urgency=low

  * default keybindings changed

 -- Siim Salonen <siim.salonen@gmail.com>  Fri,  7 Nov 2014 11:38:10 +0200
