=== install/debian/control ===
Source: openxcom
Section: games
Priority: optional
Maintainer: Krzysztof Knapik <knapsu@gmail.com>
Build-Depends:
	debhelper (>=9),
	libsdl1.2-dev,
	libsdl-mixer1.2-dev,
	libsdl-gfx1.2-dev (>= 2.0.22),
	libsdl-image1.2-dev,
	libyaml-cpp-dev (>= 0.5.1),
	libboost-dev
Standards-Version: 3.9.4
Homepage: http://openxcom.org/
Vcs-Git: git://github.com/SupSuper/OpenXcom.git
Vcs-Browser: https://github.com/SupSuper/OpenXcom

Package: openxcom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: openxcom-data
Description: Open-source clone of UFO: Enemy Unknown
 OpenXcom is an open-source clone of the popular UFO: Enemy Unknown (X-COM: UFO Defense in USA)
 turn-based strategy game by MicroProse. It is written in C++ / SDL and licensed under the GPL.
 OpenXcom requires game resources from the original game (DOS, Windows or Steam version).
