## openxcom 1.0r558-maemo8

=== debian/changelog ===
openxcom (1.0r558-maemo8) unstable; urgency=low

  * postinst script fixed

 -- Siim Salonen <siim.salonen@gmail.com>  Fri, 14 Nov 2014 11:52:28 +0200
