=== install/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --sourcedirectory=src

override_dh_install:
	mkdir -p debian/openxcom/usr/bin
	cp bin/openxcom debian/openxcom/usr/bin/
	mkdir -p debian/openxcom/usr/share/openxcom
	cp -r bin/data/ debian/openxcom/usr/share/openxcom/
	mkdir -p debian/openxcom/usr/share/applications
	cp res/linux/openxcom.desktop debian/openxcom/usr/share/applications/
	mkdir -p debian/openxcom/usr/share/icons/hicolor/48x48/apps
	cp res/linux/icons/openxcom_48x48.png debian/openxcom/usr/share/icons/hicolor/48x48/apps/openxcom.png
	mkdir -p debian/openxcom/usr/share/icons/hicolor/128x128/apps
	cp res/linux/icons/openxcom_128x128.png debian/openxcom/usr/share/icons/hicolor/128x128/apps/openxcom.png
	dh_install
